# Build directories
/build/

# Output binaries and folders
/output/

# CMake files
CMakeFiles/
CMakeCache.txt
cmake_install.cmake
Makefile

# Editor/OS files
*.swp
*.swo
*~
.DS_Store

# Compiled objects
*.o
*.obj
*.so
*.a
*.exe
*.dll
*.out

# Generated recreator files (optional, if you want to ignore them)
_*.[ch]pp 